$schema: "http://json-schema.org/draft-06/schema#"

title: authztoolkit v1 RuleBlock export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  action:
    description: Action type of this policy.
    type: string
    enum:
    - ACTION_UNSPECIFIED
    - ALLOW
    - DENY
  rules:
    description: Rules that must be evaluated for this policy action.
    type: array
    items:
      $ref: Rule.yaml
